Linux kernel 基于堆的缓冲区溢出漏洞

  • A+
所属分类:cnnvd_vulns

漏洞信息详情

Linux kernel 基于堆的缓冲区溢出漏洞

  • CNNVD编号:CNNVD-201609-557
  • <!--

  • 危害等级: 高危-->
  • 危害等级: 高危
    Linux kernel 基于堆的缓冲区溢出漏洞

  • CVE编号:
    CVE-2016-7425

  • 漏洞类型:

    缓冲区溢出

  • 发布时间:

    2016-09-23

  • 威胁类型:

    本地

  • 更新时间:

    2016-10-17

  • 厂        商:

    linux
  • 漏洞来源:
    Marco Grassi

漏洞简介

Linux kernel是美国Linux基金会发布的开源操作系统Linux所使用的内核。NFSv4 implementation是其中的一个分布式文件系统协议。

Linux kernel 4.8.2之前版本中的drivers/scsi/arcmsr/arcmsr_hba.c文件中的‘arcmsr_iop_message_xfer’函数存在安全漏洞,该漏洞源于程序没有正确限制‘length’字段。本地攻击者可借助ARCMSR_MESSAGE_WRITE_WQBUFFER控制代码利用该漏洞获取权限,或造成拒绝服务(基于堆的缓冲区溢出)。

漏洞公告

目前厂商已经发布了升级补丁以修复此安全问题,详情请关注厂商主页:

https://www.kernel.org/

参考网址

来源:MLIST

链接:http://www.openwall.com/lists/oss-security/2016/09/17/2

来源:bugzilla.redhat.com

链接:https://bugzilla.redhat.com/show_bug.cgi?id=1377330

来源:MLIST

链接:http://marc.info/?l=linux-scsi&m=147394713328707&w=2

来源:github.com

链接:https://github.com/torvalds/linux/commit/7bc2b55a5c030685b399bb65b6baa9ccc3d1f167

来源:git.kernel.org

链接:http://git.kernel.org/cgit/linux/kernel/git/torvalds/linux.git/commit/?id=7bc2b55a5c030685b399bb65b6baa9ccc3d1f167

来源:security-tracker.debian.org

链接:https://security-tracker.debian.org/tracker/CVE-2016-7425

来源:MLIST

链接:http://marc.info/?l=linux-scsi&m=147394796228991&w=2

来源: BID

链接:http://www.securityfocus.com/bid/93037

受影响实体

  • Linux Linux_kernel:4.8.2  

    <!--

    2000-1-1

    -->

补丁

  • 我的微信
  • 这是我的微信扫一扫
  • weinxin
  • 我的微信公众号
  • 我的微信公众号扫一扫
  • weinxin

发表评论

:?: :razz: :sad: :evil: :!: :smile: :oops: :grin: :eek: :shock: :???: :cool: :lol: :mad: :twisted: :roll: :wink: :idea: :arrow: :neutral: :cry: :mrgreen: